org.eclipse.viatra.query.runtime.localsearch.planner.cost

## Interface IConstraintEvaluationContext

- All Known Implementing Classes:
    PConstraintInfo

      public interface IConstraintEvaluationContext

  This interface denotes the evaluation context of a constraint, intended for cost estimation. Provides access to information on which the cost function can base its calculation.
  Since:
    1.4
  No Implement:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<PVariable>` | `getBoundVariables()` Bound variables at the time of evaluating the constraint
    `PConstraint` | `getConstraint()` Get the constraint to be evaluated
    `java.util.Collection<PVariable>` | `getFreeVariables()` Unbound variables at the time of evaluating the constraint
    `QueryAnalyzer` | `getQueryAnalyzer()`
    `IQueryRuntimeContext` | `getRuntimeContext()`
    `IQueryResultProviderAccess` | `resultProviderAccess()` Deprecated. use `resultProviderRequestor()`
    `ResultProviderRequestor` | `resultProviderRequestor()`

- - ### Method Detail

    - #### getConstraint

          PConstraint getConstraint()

      Get the constraint to be evaluated

    - #### getFreeVariables

          java.util.Collection<PVariable> getFreeVariables()

      Unbound variables at the time of evaluating the constraint

    - #### getBoundVariables

          java.util.Collection<PVariable> getBoundVariables()

      Bound variables at the time of evaluating the constraint

    - #### getRuntimeContext

          IQueryRuntimeContext getRuntimeContext()

    - #### getQueryAnalyzer

          QueryAnalyzer getQueryAnalyzer()

      Since:
        1.5

    - #### resultProviderAccess

          @Deprecated
          IQueryResultProviderAccess resultProviderAccess()

      Deprecated. use `resultProviderRequestor()`
      Since:
        1.5

    - #### resultProviderRequestor

          ResultProviderRequestor resultProviderRequestor()

      Since:
        2.1